# data file for the Fltk User Interface Designer (fluid)
version 1.0109 
header_name {_ui.h} 
code_name {_ui.cpp}
decl {\#include "ui_misc.h"} {public global
} 

class _GrabPngUI {open : __GrabPngUI
} {
  Function {_GrabPngUI()} {open
  } {
    Fl_Window colorWindow {open
      xywh {54 67 150 105} type Double box UP_BOX hide
      class PopupWindow non_modal noborder
    } {
      Fl_Box bgcolor {
        callback {colorpicker_cb();}
        xywh {5 5 200 95} color 32 labelsize 11
        class Fl_Color_Chooser
      }
    }
    Fl_Window mainWindow {
      label GrabPng
      callback {window_cb();} open
      xywh {271 31 500 390} type Double box NO_BOX color 8 labelsize 12 resizable size_range {340 300 0 0} visible
    } {
      Fl_Group {} {open
        xywh {0 0 500 390} box FLAT_BOX color 0
      } {
        Fl_Button {} {
          xywh {10 45 25 25} box NO_BOX
        }
        Fl_Group toolbar1 {open
          xywh {0 0 500 30} box FLAT_BOX labelcolor 32
        } {
          Fl_Button prev {
            callback {imageBox->file_next(true);}
            tooltip {Previous image (Z)} image {img/previous.png} xywh {0 0 30 30} box NO_BOX shortcut 0x7a color 0 selection_color 0 labelcolor 7
          }
          Fl_Box label {
            xywh {60 0 380 30} color 0 labelcolor 32 resizable
          }
          Fl_Button next {
            callback {imageBox->file_next();}
            tooltip {Next image (X)} image {img/next.png} xywh {30 0 30 30} box NO_BOX shortcut 0x78 color 0 selection_color 0 labelcolor 7
          }
          Fl_Button color {
            callback {if (!colorWindow->visible())
{
  colorWindow->show();
  colorWindow->hotspot(colorWindow->w()/2,colorWindow->h()/2);
}
else colorWindow->hide();
fakeFocus->take_focus();}
            tooltip {Background color} image {img/color.png} xywh {470 0 30 30} box NO_BOX color 0 selection_color 0 labelsize 12 labelcolor 7 align 16
          }
          Fl_Slider zoom {
            callback {imageBox->zoom(o->value());
zoom_cb();}
            image {img/zoom.png} xywh {425 5 40 20} type Horizontal box PLASTIC_DOWN_BOX labelsize 11 align 4 minimum 1 maximum 4 step 1 value 1 hide deactivate
          }
          Fl_Button {} {
            callback {imageBox->lockGuides = (bool)(o->value());}
            tooltip {Lock guides (L)} image {img/lock.png} xywh {440 0 30 30} type Toggle box FLAT_BOX down_box FLAT_BOX shortcut 0x6c selection_color 175 when 1
          }
        }
        Fl_Group {} {open
          xywh {0 30 500 325} color 33 resizable
        } {
          Fl_Box imageBox {
            label {Drag image here.}
            callback {imagebox_cb(o,v);
fakeFocus->take_focus();}
            xywh {0 30 500 325} color 0 labelcolor 47 resizable
            class ImageBox
          }
        }
        Fl_Group {} {open
          xywh {0 355 500 35} box FLAT_BOX selection_color 47
        } {
          Fl_Value_Input grabX {
            label {Grab X:}
            callback {imageBox->image_x(o->value());
save->activate();}
            tooltip {X offset} xywh {120 360 50 25} box PLASTIC_DOWN_BOX selection_color 55 labelsize 12 minimum -9999 maximum 9999 step 1 textsize 12
          }
          Fl_Value_Input grabY {
            label {Grab Y:}
            callback {imageBox->image_y(o->value());
save->activate();}
            tooltip {Y offset} xywh {225 360 50 25} box PLASTIC_DOWN_BOX selection_color 55 labelsize 12 minimum -9999 maximum 9999 step 1 textsize 12
          }
          Fl_Box {} {
            xywh {415 365 15 15} resizable
          }
          Fl_Light_Button alph {
            label alPh
            callback {imageBox->image_alph = o->value();
save->activate();}
            tooltip {alPh chunk} xywh {5 360 60 25} box PLASTIC_UP_BOX down_box PLASTIC_DOWN_BOX color 7 selection_color 0 labelsize 12
          }
          Fl_Button save {
            label Save
            callback {imageBox->file_save();
o->deactivate();} selected
            tooltip {Save (Ctrl+S)} xywh {435 360 60 25} box PLASTIC_UP_BOX down_box PLASTIC_DOWN_BOX shortcut 0x40073 color 7 selection_color 55 labelsize 12 deactivate
          }
        }
      }
      Fl_Button fakeFocus {
        label button
        xywh {205 400 70 20}
      }
    }
  }
  Function {show(int argc, char **argv)} {open return_type int
  } {
    code {mainWindow->show(argc, argv);
return Fl::run();} {}
  }
  Function {show(char **argv, const char *filename)} {open return_type int
  } {
    code {mainWindow->show(1, argv);
imageBox->file_open(filename);
return Fl::run();} {}
  }
} 
